<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/

	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	// conex, config, login  global
	require("inc.global.php");

/******* CONFIGURACION  ***********/

$titulo = INGENIO_NOMBRE." ".INGENIO_VERSION;
$archivo="estadisticas.php";

/******* CONFIGURACION FIN ********/


?>

<!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3c.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<?php echo '<meta http-equiv="content-type" content="text/html; charset='.CONFIG_2.'" />'; ?>
<title><?php echo $titulo; ?></title>
<?php include("inc.head.php"); ?>

</head>

<body>

<table border="0" cellspacing="0" cellpadding="0" align="center">
<tr><td valign="top">

<?php include("inc.menu.php"); ?>

</td><td valign="top" width="100%">

<?php include("inc.copy.php"); ?>

<div class="contenido">

<div class="div_rotulo_top_sec">
<img class="img_icon_pag" src="../skins_admin/<?php echo substr($row_comp['skin_admin'],0,-4); ?>/imgs/icon_funciones.png" />
&nbsp;&nbsp;&nbsp;
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_248; ?></span>
</div>

<?php
	
	// rotulo
	echo '<div class="rotulo">'.LEN_ADMIN_154.'</div>';	
	 
	
	// periodo
	$q_per = myquery("SELECT * FROM ".ESTAD_DIA." ORDER BY stID ASC limit 0, 1");
	$row_per = myfetch($q_per);
	$q_per2 = myquery("SELECT * FROM ".ESTAD_DIA." ORDER BY stID DESC limit 0, 1");
	$row_per2 = myfetch($q_per2);
	
	if (CONFIG_10 == 0)
	{
		$fecha_ini = salida_fecha_latin ($row_per["fecha"]);
		$fecha_fin = salida_fecha_latin ($row_per2["fecha"]);
		
	} else if (CONFIG_10 == 1) {
	
		$fecha_ini = salida_fecha_literal ($row_per["fecha"]);
		$fecha_fin = salida_fecha_literal ($row_per2["fecha"]);
	}

	echo '<span class="rotulo_nom_st">'.LEN_ADMIN_157.' <span class="mensaje">'.$fecha_ini.'</span> - <span class="mensaje">'.$fecha_fin.'</span></span>';   
	echo'<br /><br />';

	if (isset($_GET["ms"]))
	{	
		echo '<a href="'.$archivo.'#ms" class="conex_gral">'.LEN_ADMIN_159.'</a>';
	
	} else {
	
		echo '<a href="'.$archivo.'?ms=1#ms" class="conex_gral">'.LEN_ADMIN_166.'</a>';
	
	}

	if (isset($_GET["td"]))
	{	
		echo '&nbsp;&nbsp;<a href="'.$archivo.'#td" class="conex_gral">'.LEN_ADMIN_155.'</a>';
	
	} else {
	
		echo '&nbsp;&nbsp;<a href="'.$archivo.'?td=1#td" class="conex_gral">'.LEN_ADMIN_165.'</a>';
	
	}

	echo'<br /><br />';

?>
<?php

	// mostrar totales
	$q_tot = myquery("SELECT * FROM ".ESTAD);
	while ($row_tot = myfetch($q_tot))
	{
	
?>
<div class="estad_global">
<?php echo '<span class="rotulo_st">'.LEN_ADMIN_156.' -&gt; </span>'; ?>
<?php  echo '<span class="rotulo_nom_st">'.LEN_ADMIN_160.'</span>'; ?>: <span class="mensaje"><?php echo $row_tot["impresiones"]; ?></span> | 
<?php  echo '<span class="rotulo_nom_st">'.LEN_ADMIN_161.'</span>'; ?>: <span class="mensaje"><?php echo $row_tot["sesiones"]; ?></span> | 
<?php  echo '<span class="rotulo_nom_st">'.LEN_ADMIN_162.'</span>'; ?>: <span class="mensaje"><?php echo $row_tot["hits"]; ?></span>
</div>
<?php
	}
?>
<?php

	// mostrar mes actual	
	$q_mes_ac = myquery("SELECT * FROM ".ESTAD_MES." ORDER BY stID DESC limit 0, 1");
	while ($row_mes_ac = myfetch($q_mes_ac))
	{
	
?>
<div class="estad_global">
<?php echo '<span class="rotulo_st">'.LEN_ADMIN_158.' ('.$row_mes_ac["fecha"].') -&gt; </span>'; ?>
<?php  echo '<span class="rotulo_nom_st">'.LEN_ADMIN_160.'</span>'; ?>: <span class="mensaje"><?php echo $row_mes_ac["mes_impresiones"]; ?></span> | 
<?php  echo '<span class="rotulo_nom_st">'.LEN_ADMIN_161.'</span>'; ?>: <span class="mensaje"><?php echo $row_mes_ac["mes_sesiones"]; ?></span> | 
<?php  echo '<span class="rotulo_nom_st">'.LEN_ADMIN_162.'</span>'; ?>: <span class="mensaje"><?php echo $row_mes_ac["mes_hits"]; ?></span>
</div>
<?php
	}
?>

<?php

	// 10 ITEMS + leidos
	echo '<br /><br /><span class="rotulo_st">'.LEN_ADMIN_164.' (10)</span><br />';	
	$q_items = myquery("SELECT * FROM ".ITEMS." ORDER BY lecturas DESC limit 0, 10");

	while ($row_items = myfetch($q_items))
	{	

?>
<div class="estad_diario">
<span class="rotulo_st"><?php echo substr($row_items["titulo"],0,45)."..."; ?> -&gt; </span>
<?php  echo '<span class="rotulo_nom_st">'.LEN_ADMIN_114.'</span>'; ?>: <span class="mensaje"><?php echo $row_items["lecturas"]; ?></span>
</div>
<?php
	}
?>
<a name="ms"></a>
<?php

	// mostrar por meses
	if (isset($_GET["ms"]))
	{

		echo '<br /><br /><span class="rotulo_st">'.LEN_ADMIN_166.'</span><br />';
		$q_mes = myquery("SELECT * FROM ".ESTAD_MES." ORDER BY stID DESC ");
	
	} else {

		echo '<br /><br /><span class="rotulo_st">'.LEN_ADMIN_159.' (6)</span><br />';
		$q_mes = myquery("SELECT * FROM ".ESTAD_MES." ORDER BY stID DESC limit 0, 6");
		
	}

	while ($row_mes = myfetch($q_mes))
	{
	
?>
<div class="estad_diario">
<?php echo '<span class="fecha_st">'.$row_mes["fecha"].' -&gt; </span>'; ?>
<?php  echo '<span class="rotulo_nom_st">'.LEN_ADMIN_160.'</span>'; ?>: <span class="mensaje"><?php echo $row_mes["mes_impresiones"]; ?></span> | 
<?php  echo '<span class="rotulo_nom_st">'.LEN_ADMIN_161.'</span>'; ?>: <span class="mensaje"><?php echo $row_mes["mes_sesiones"]; ?></span> | 
<?php  echo '<span class="rotulo_nom_st">'.LEN_ADMIN_162.'</span>'; ?>: <span class="mensaje"><?php echo $row_mes["mes_hits"]; ?></span>
</div>
<?php
	}
?>
<a name="td"></a>
<?php

	// mostrar por dias
	if (isset($_GET["td"]))
	{
	
		echo '<br /><br /><span class="rotulo_st">'.LEN_ADMIN_165.'</span><br />';
		$q_st = myquery("SELECT * FROM ".ESTAD_DIA." ORDER BY stID DESC ");
	
	} else {

		echo '<br /><br /><span class="rotulo_st">'.LEN_ADMIN_155.' (50)</span><br />';
		$q_st = myquery("SELECT * FROM ".ESTAD_DIA." ORDER BY stID DESC limit 0, 50");

	}
	
	while ($row = myfetch($q_st))
	{
?>
<div class="estad_diario">
<?php  
	
	if (CONFIG_10 == 0)
	{
		echo '<span class="fecha_st">'.salida_fecha_latin ($row["fecha"]).' -&gt; </span>';
		
	} else if (CONFIG_10 == 1) {
	
		echo '<span class="fecha_st">'.salida_fecha_literal ($row["fecha"]).' -&gt; </span>';
	}

?>
<?php  echo '<span class="rotulo_nom_st">'.LEN_ADMIN_160.'</span>'; ?>: <span class="mensaje"><?php echo $row["dia_impresiones"]; ?></span> | 
<?php  echo '<span class="rotulo_nom_st">'.LEN_ADMIN_161.'</span>'; ?>: <span class="mensaje"><?php echo $row["dia_sesiones"]; ?></span> | 
<?php  echo '<span class="rotulo_nom_st">'.LEN_ADMIN_162.'</span>'; ?>: <span class="mensaje"><?php echo $row["dia_hits"]; ?></span>
</div>
<?php
	}

?>
</div>

</td></tr></table>

</body>
</html>
<?php
	include("inc.fin.php");
?>